Subject: Re: [PATCH net-next,V2] Add LAN9352 Ethernet Driver

From: Florian Fainelli <[email-masked]>
Date: Tue, 16 Feb 2016 16:06:58 -0800

On 16/02/16 14:15, Andrew Lunn wrote:
>> I just spoke with my manager, and we would like to change the target
>> device from LAN9352 to LAN9250. The LAN9250 is the same as the
>> LAN9352 but without the switch. It has one mac and one phy.
> 
> It is not so easy to get an overview from the website, but it looks
> like:
> 
> LAN9250 - one port MAC/PHY
> LAN9352 - 10/100 2-Port Managed Ethernet Switch
> LAN9353 - 10/100 3-Port Managed Ethernet with Dual RMII or Single MII/RMII/Turbo MII
> LAN9354 - 10/100 3-Port Managed Ethernet Switch with Single RMII
> LAN9355 - 10/100 3-Port Managed Ethernet Switch with Dual MII/RMII/Turbo MII
> 
> So i get the feeling this product line is for switches, and the
> LAN9250 is an oddball in the series.
> 
> You are already 1/2 way to a DSA driver, since you have a MAC
> driver. So i agree with David, do it right and add a simple DSA
> driver.

I second that, and in fact, implemeting a DSA driver will get you the
per-port ethtool control knobs that you are after.

Even if your driver does not support tagging (you can set
DSA_PROTO_TAG_NONE to not requiring tagging), you still get all the
other DSA perks: per-port network devices, ethtool statistics, PHY
management, etc.

The in-kernel documentation in Documentation/networking/dsa/dsa.txt is
reasonably up to date
-- 
Florian